Unify and manage your data

Add Lookup type blocked values

Learn how to add a blocked value for a specific lookup type.

The Add lookup type blocked value API adds a value to the blocked values list for a specific lookup type. It excludes blocked values from Autopilot processing for that lookup type, so the system does not consider them during matching or suggestion evaluation. The response confirms whether the system successfully added the value.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

POST /configuration/{tenantId}/autopilot/{lookupType}/blockedValues

This endpoint adds a new blocked value for the specified lookup type within the given tenant.

The following table describes the endpoint path parameters.

ParameterTypeRequiredDescription
tenantIdStringYesTenant identifier
lookupTypeStringYesLookup type name

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer {token}Yes

Request body

The request body must contain the value to block.

ParameterTypeRequiredDescriptionAccepted values / Default
valueStringNoSingle value to block.The input must not contain "/". Additionally, at least one of the value or values parameters must be provided.
valuesArray of stringsNoList of values to block. Maximum 1000 values per request (combined with value). Values must not contain /.

Example request

Use the following example to see how the request body is structured.

Example: Single value

{
  "value": "INVALID_VALUE"
}

Example: Batch of values

{
  "values": ["TEST", "NA", "UNKNOWN"]
}

Response body

The following table describes the fields returned in the response body.

FieldTypeDescription
statusStringIndicates the result of the operation

Example response

The following example shows a successful response.

{
  "status": "success"
}